1. Si vous venez d'arriver sur le forum et que vous êtes un peu perdus, cliquez ici !
    Rejeter la notice

Résolu Installer un .class

Discussion dans 'Mapping' créé par The_Murmex, 16 Avr 2015.

  1. The_Murmex

    The_Murmex Mineur de Fer

    Inscrit:
    4 Jan 2015
    Messages:
    654
    Points:
    71
    Sexe:
    Homme
    Bonjour, cela fait plusieurs fois que j'essaie de remplacer le fichier v.class ou t.class (j'en est essayé plusieurs) pour avoir le symbole §. Voici comment j'ai procédé :
    -Ouverture de la version 1.8.3 avec WinRar
    -remplacement du fichier
    -suppression du META-INF
    -Ouverture du minecraft et là .... rien .

    J'ai refait l'opération 5 fois avec 3 fichiers différents (je ne me souvient plus des sources) et ça ne fonctionne pas. Pourriez-vous me dire si j'ai fais une erreur ? A moi que ça ne vienne de ma source ?
    Je précise que je suis sous Windows.

    Merci de m'avoir lu ;)
     
  2. Calambiel

    Calambiel Résident de l'End

    Inscrit:
    5 Août 2014
    Messages:
    6 596
    Points:
    229
    A ma connaissance le mod pour pouvoir utiliser le § ne marche qu'en 1.8.1 et 1.8 (testé récemment), en 1.8.2 et 1.8.3 on obtient un crash.

    De plus je ne peux pas t'envoyer directement ma version car apparemment elle n'est pas reconnue par le jeu en aval (de même testé récemment).

    Donc je vais te dire pas à pas ce qu'il faut faire, car tu as oublié quelques étapes :
    • Trouves dans tes versions ton dossier 1.8 ou 1.8.1 et duplique le
    • Renommes ta copie avec le nom que tu veux, mais garde ce nom en tête car nous allons le réutiliser
    • Vas dans le dossier de la version et renomme les deux fichiers (le .jar et le .json) avec le même nom que tu as donné au dossier
    • Ouvres le .json (avec Notepad++ par exemple) et en face de "id" remplace le nom de version par le nom de ton dossier
    • Ouvres ton .jar pour supprimer le META-INF puis remplacer la classe
    Voilà normalement tu es bon mais maintenant il faut dire au jeu d'utiliser cette version.
    Car en effet tu ne viens pas de créer un profil mais bien une version.
    Tu dois donc créer un nouveau profil et choisir dans la liste (commune avec les versions "officielles" du jeu) la version avec le nom que tu as donné.

    Voilà dis moi si tu as mal compris un point ou si tout est bon.
     
  3. tomaxed44

    tomaxed44 Mineur

    Inscrit:
    19 Mai 2013
    Messages:
    428
    Points:
    136
    Sexe:
    Homme
    Le mod marché parfaitement de mon côté , je suis en 1.8.3
     
  4. Calambiel

    Calambiel Résident de l'End

    Inscrit:
    5 Août 2014
    Messages:
    6 596
    Points:
    229
    On parle bien de celui-là ?
    http://www.minecraftforum.net/forum...te-color-mod-tool-for-map-maker#entry29268792
    Parce que chez moi j'ai testé deux fois et les deux fois crash, en suivant exactement le même procédé que pour la 1.8.1 qui s'est lancée sans problème.
     
  5. tomaxed44

    tomaxed44 Mineur

    Inscrit:
    19 Mai 2013
    Messages:
    428
    Points:
    136
    Sexe:
    Homme
    Je n'ai aucune idée d’où viens le mod en fait.. On me t'a donné via skype.
     
  6. Calambiel

    Calambiel Résident de l'End

    Inscrit:
    5 Août 2014
    Messages:
    6 596
    Points:
    229
    Il s'appelle v.class ou un autre nom ? (possible que mojang ait changé la classe).
    En tout cas s'il marche en 1.8.3 je veux bien que tu me le passes ^^ (sauf bien sur si tu n'en as pas l'autorisation)
     
    #6 Calambiel, 17 Avr 2015
    Dernière édition: 17 Avr 2015
  7. The_Murmex

    The_Murmex Mineur de Fer

    Inscrit:
    4 Jan 2015
    Messages:
    654
    Points:
    71
    Sexe:
    Homme
    Ça marche !
    Merci pour ces réponses : mon erreur était de ne pas vouloir créer une autre version.
    Je suis tombé sur la version 1.8.3.
    Apparemment il s'appelle maintenant g.class. Je l'ai trouvé ici.
    J'imagine qu'il marche aussi en 1.8.4 .
    Encore merci ;)
     
  8. Calambiel

    Calambiel Résident de l'End

    Inscrit:
    5 Août 2014
    Messages:
    6 596
    Points:
    229
    Ouai tomadex me l'a filé en privé et j'ai pu voir qu'ils avaient changé pour le g.class.
    Et mauvaise nouvelle : ils ont encore changé pour la 1.8.4 je crois avoir vu que c'est désormais le f.class sauf qu'il ne suffit pas de renommer le fichier pour qu'il marche vu que dans le fichier même la class est toujours déclarée avec son nom d'origine.
     

Partager cette page